      subroutine shower (nob, nof)

      character*80 line/' '/

      include 'basics.inc'
      include 'hold.inc'

c piphas upped to 0:150 from 0:100 - Oct 28th 2004

      common /piphas2/ piphas(0:150)
      character*7 piphas
      
      character*4 recs4
      character*2 recs2
      character*1 recs1
      character*3 recs3
      character*63 recs63
      character*84 recs84

      nol = nob

c station code

c      line = recs(nol)(11:14)
      
      line = recs4(nol,11,14)

c allow for five character codes

c      if (recs(nol)(1:2) .eq. '15') line(5:5) = recs(nol)(94:94)
      
      if (recs2(nol,1,2) .eq. '15') line(5:5) = recs1(nol,94,94)

c distance

c      line(7:13) = recs(nol)(26:28)//'.'//recs(nol)(29:30)
      
      line(7:13) = recs3(nol,26,28)//'.'//recs2(nol,29,30)
      
      call exchange (line(9:11), ' ', '0')

c azimuth

c      line(14:17) = recs(nol)(23:25)
c      call showph (recs(nol)(34:), line)
c      if (level .ge. 5) then
c        do while (nol .lt. nof)
c          nol = nol + 1
c          line(7:) = ' '
c          if (recs(nol)(1:2) .eq. ' 6') then
c            call showph (recs(nol)(13:), line)
c          else if (recs(nol)(1:2) .eq. ' 7') then
c            if (level .ge. 6) then
c              line(9:) = recs(nol)(13:)
c              call putout (mout, line(:len_trim(line)))
c            end if
c          else
c            call abort ('Unexpected record: '//recs(nol)(1:2))
c          end if
c        end do
c      end if
      
      
      line(14:17) = recs3(nol,23,25)
      call showph (recs63(nol,34,96), line)
      if (level .ge. 5) then
        do while (nol .lt. nof)
          nol = nol + 1
          line(7:) = ' '
          if (recs2(nol,1,2) .eq. ' 6') then
            call showph (recs84(nol,13,96), line)
          else if (recs2(nol,1,2) .eq. ' 7') then
            if (level .ge. 6) then
              line(9:) = recs84(nol,13,96)
              call putout (mout, line(:len_trim(line)))
            end if
          else
            call abort ('Unexpected record: '//recs2(nol,1,2))
          end if
        end do
      end if      
      
      
      return
      end
